/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made 
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */
static char SccsId[] = "@(#)amunit.c	1.4 9/19/95";
#include <farl.h>
#include <agl.h>

void
AGLSetUnitMatrix4(fix187 *m)
{
static fix187 mu[] = {
	0x80, 0x0, 0x0, 0x0,
	0x0, 0x80, 0x0, 0x0,
	0x0, 0x0, 0x80, 0x0,
	0x0, 0x0, 0x0, 0x80};

    FarlMatrixCopy4x4(m, mu);
}

void
AGLSetUnitMatrix3(fix1015 *m)
{
static fix1015 mu[] = {
	0x7fff, 0x0, 0x0,
	0x0, 0x7fff, 0x0,
	0x0, 0x0, 0x7fff};

    FarlMatrixCopy3x3(m, mu);
}

void
AGLSetNUnitMatrix3(fix187 *m)
{
static fix187 mu[] = {
	0xff80, 0x0, 0x0,
	0x0, 0xff80, 0x0,
	0x0, 0x0, 0xff80};

     FarlMatrixCopy3x3(m, mu);
}
